Showing results for 
Search instead for 
Do you mean 
Reply
Solved! Go to solution

Regarding NX license

Hi,

Currently we are working on NX 9.0, the project is getting over in 2days. We have received requirement from one of our customer for the project, where we need to work on NX 7.5.

Can anyone tell me how can I downgrade my license from NX 9 to NX 7.5.

 

Thanks in advance.

 

Yunus

8 REPLIES

Re: Regarding NX license

Hello Yunus,

 

I believe you can use the same licence that you use for NX9.0 to use NX7.5.

 

Install NX 7.5 from the installation media.

Open NX

While in the Gateway File>Utilities>Select Bundles

This will list the available licence bundles. You need to add one to the selected bundles and voila!

 

Hope it helps.

 

Pavittar

Re: Regarding NX license

A license file for NX 11 is valid for NX 5 and above, this is also true for any intermediate NX release.

Stefan Pendl, Systemmanager CAx, HAIDLMAIR GmbH
Production: NX10.0.3, VERICUT 8.0, FBM, MRL 3.1.4 | TcUA 10.1 MP7 Patch 0 (10.1.7.0) | TcVis 10.1
Development: VB.NET, Tcl/Tk    Testing: NX11.0 EAP, NX12.0 EAP

How to Get the Most from Your Signature in the Community

Re: Regarding NX license

Hi,

Thanks for your reply.

We do not have NX7.5 setup files, from where do we need to get this. From GTAC?

 

Thanks

Yunus

Re: Regarding NX license

Should be available from the GTAC download page, if you can't see it check with your CSR.

I would also make sure to first install the lower release before installing the higher one.

So I would do the following:

  1. remove NX 9
  2. install NX 7.5
  3. reinstall NX 9

this makes sure that the latest common NX DLLs are registered.

Stefan Pendl, Systemmanager CAx, HAIDLMAIR GmbH
Production: NX10.0.3, VERICUT 8.0, FBM, MRL 3.1.4 | TcUA 10.1 MP7 Patch 0 (10.1.7.0) | TcVis 10.1
Development: VB.NET, Tcl/Tk    Testing: NX11.0 EAP, NX12.0 EAP

How to Get the Most from Your Signature in the Community
Solution
Solution
Accepted by topic author Yunus
‎11-28-2016 11:40 PM

Re: Regarding NX license

beware that some licenses will not work due to SPLM renaming a number of the license feature names. One example is advanced assembly licenses that were renamed between NX 7.5 and NX9. You'd have to hack your license file to re-add the old strings back in for NX7.5 for those renamed licenses.


Larry Carpenter, P.E.
Technical Director @ PLM World, Inc,
CAxPLM Architect @ Siemens Molecular Imaging

Re: Regarding NX license

Thanks for the suggestions.

 

Regards,

Yunus

Re: Regarding NX license

You will also need duplicate environment variables for your license server. Today, we use SPLM_LICENSE_SERVER, but in NX 7.5, it looks for UGS_LICENSE_SERVER and/or UGII_LICENSE_FILE. If you install NX 7.5 and NX 9, you should end up with all of these defined correctly, but I would check to be sure. 

Mark Rief
Retired Siemens

Re: Regarding NX license

Hi Mark,

Thanks for your reply.

 

Regards,

Yunus